Skip to main content

List All Purpose Codes

Overview

Retrieves the list of standardized regulatory payment purpose codes and descriptions required by international clearing houses when executing cross-border wire transfers.

HTTP Request

GET /banking/ibans/v2/profile/v2.1/purpose

Authentication

This endpoint requires an active Bearer JWT token in the Authorization header obtained via POST /banking/ibans/v2/users/login:

Authorization: Bearer <your_access_token>

Code Examples

curl -X GET "https://api.ahrvo.network/banking/ibans/v2/profile/v2.1/purpose" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <your_access_token>"

Response (200)

{
"success": true,
"documentTypes": [
{
"id": 3,
"category": "Payment Purpose",
"title": "Purchase of Good(s)",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 4,
"category": "Payment Purpose",
"title": "Purchase of Professional Service(s)",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 5,
"category": "Payment Purpose",
"title": "Professional fees payment(i.e. legal, accountant)",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 6,
"category": "Payment Purpose",
"title": "Payroll/Personnel Payment",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 7,
"category": "Payment Purpose",
"title": "Payment for a loan or deposit",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 8,
"category": "Payment Purpose",
"title": "Bill payment(i.e. credit card, utility)",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 9,
"category": "Payment Purpose",
"title": "Research and Development",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 10,
"category": "Payment Purpose",
"title": "Payment, Family Assistance",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 11,
"category": "Payment Purpose",
"title": "Medical Assistance",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 12,
"category": "Payment Purpose",
"title": "Medical Claim Reimbursement",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 13,
"category": "Payment Purpose",
"title": "Remittance of funds from e-commerce",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 14,
"category": "Payment Purpose",
"title": "IP Trademark Patent Work",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 15,
"category": "Payment Purpose",
"title": "Travel/Hospitality",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 16,
"category": "Payment Purpose",
"title": "Publisher",
"createdAt": "2021-04-19T10:39:40.000Z",
"updatedAt": "2021-04-19T10:39:40.000Z"
},
{
"id": 17,
"category": "Payment Purpose",
"title": "Investment",
"createdAt": "2021-06-07T11:05:51.000Z",
"updatedAt": "2021-06-07T11:05:51.000Z"
},
{
"id": 18,
"category": "Payment Purpose",
"title": "Wallet Top Up",
"createdAt": "2021-06-07T11:05:51.000Z",
"updatedAt": "2021-06-07T11:05:51.000Z"
},
{
"id": 19,
"category": "Payment Purpose",
"title": "Internal Company Transfer",
"createdAt": "2021-06-07T11:05:51.000Z",
"updatedAt": "2021-06-07T11:05:51.000Z"
}
]
}

Interactive API Explorer

Test this endpoint live against the Ahrvo gateway and Verto sandbox environments: